/*!
 * @file heat_haze.h
 * A class to generate a heat haze effect
 */

#ifndef _HEAT_HAZE_H
#define _HEAT_HAZE_H

#include "world_entity.h"
#include "shader.h"

//! A Class to generate a heat haze effect

class HeatHaze : public WorldEntity
{
 ObjectListDeclaration(HeatHaze);
 public:
  HeatHaze(const TiXmlElement* root = NULL);
  virtual ~HeatHaze();

  virtual void loadParams(const TiXmlElement* root);
  void init();

  virtual void postSpawn ();
  virtual void leftWorld ();


  virtual void draw() const;
  virtual void tick(float time);
  virtual void collidesWith (WorldEntity* entity, const Vector& location);

 private:
  Shader haze;

};

#endif /* _HEAT_HAZE_H */
